function loadht(dataId,index){
    $("#dataId").val(dataId);
    $('.pam-us'+index).removeClass('hides').addClass('show-texs').siblings('.state-pw').addClass('hides').removeClass('show-texs');
    $('.pam-us'+index).find("iframe")[0].contentWindow.location.reload(true);
    var evl = $('.pam-us'+index).find("iframe")[0];
    evl.style.height = '450px'
}
function stopBubble(event){
    var e=arguments.callee.caller.arguments[0]||event;
    if(e&&e.stopPropagation){
        e.stopPropagation()
    }else if(window.event){
        window.event.cancelBubble=true;
    }
}
$(function (){
    $('.yw-an-rela').css('display','block');
    $('.pam-us0').removeClass('hides').addClass('shows');
    /**
     * 新增二维码
     */
    $('.EjectNewQRcode').on('click',function(){
        var top =$(this).offset().top-98;
        // $('.state-pw').each(function(i,o){
        //     if($(this).hasClass('shows')){
        //         $(this).removeClass('shows').addClass('hides');
        //     }
        // });
        // $('.pam-us0').addClass('shows').removeClass('hides');
        $('.pam-us0').addClass('shows').siblings().addClass('hides');
        $('.yw-an-rela').css('top',top+'px').css('display','block');
    });
    $('.module_box').on('click','.sortable-dragging',function(){
        if($('#pageFlag').val()!=''&&eval($('#pageFlag').val())){
            $('.yw-an-rela').removeClass('hides').addClass('shows');
            $(this).addClass('onbg').siblings('.sortable-dragging').removeClass('onbg');
            var left =$(this).offset().left;
            var top =$(this).offset().top-98;
            $('.pam-us0').addClass('hides').removeClass('shows');
            $('.yw-an-rela').css('top',top+'px').css('display','block');
            var _tab = $(this).attr('index');
            loadht($(this).attr('dataId'),_tab);
        }else{
            $('.yw-an-rela').removeClass('hides').addClass('shows');
            layer.alert('请先编辑新增二维码!', {icon: 7});
        }
    });
});

// 拖动
$(function() {
    $( "#module_box" ).sortable({
        cursor: "move",
        opacity: 0.6,
        items:'.boxs',
        revert: false,
        update: function(event, ui) {
            $("#module_box .boxs").each(function(i,p){
                /**
                 * 注：div属性"sort"为排序字段
                 */
                $(this).attr("sort",i+1);
            });
            console.log('jinaliooooooo')
            // 支持拖拽的保存
            var array = [];
            $("#module_box .sortable-dragging").each(function(i,p){
                console.log('jinaliooooooo1')
                var relationId = $(this).attr('pageRelationId');
                if(relationId){
                    var zIndex = $(this).attr("sort");
                    var html ={pageRelationId:relationId, zIndex:zIndex};
                    array.push(html);
                }
            });
            if(array.length != 0 ){
                console.log('jinlaixiabaioa')
                QRcodeindex(array);
            }
        }
    });
    $(".boxs" ).disableSelection();
});
/**
 * 添加模块
 */
$(function() {
    $('.clearfix li').hover(
        function(){
            $(this).css('background','rgb(248, 248, 248)').find('p').css('background','rgb(233, 233, 233)').siblings('li').css('background','#FFF').find('p').css('background','#FFF');

        },
        function(){
            $(this).css('background','#FFF').find('p').css('background','#FFF').
            siblings('li').css('background','#FFF').find('p').css('background','#FFF');
        }
    );

    $('.module_box .sortable-dragging').each(function(i,p){
        $(this).attr("dataId",creatuuid(10,36));
    });
    // uuid
    function creatuuid(len, radix) { // len位数，radix基数
        var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
        var uuid = [], i;
        radix = radix || chars.length;
        if (len) {
            for (i = 0; i < len; i++) uuid[i] = chars[0 | Math.random()*radix];
        } else {
            var r;
            uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
            uuid[14] = '4';
            for (i = 0; i < 36; i++) {
                if (!uuid[i]) {
                    r = 0 | Math.random()*16;
                    uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
                }
            }
        }
        return uuid.join('');
    }
   // 添加模块
    $('.clearfix li').on('click',function(){
        var _tab = $(this).attr('index_data');
        var _modeltemp = '';
        var data_id =creatuuid(12,36);
        _modeltemp = $('#temp-'+_tab).html();
        $('.module_box').children('div.b-g').last().before(_modeltemp);
        $(".reisze-now").css("height",$(".reisze-now").height()+250+'px');
        $('.module_box').children('.sortable-dragging').last().attr("dataid",data_id);
        $("#module_box .sortable-dragging").each(function(i,p){
            $(this).attr("sort",i+1);
        });	});

    $('.module_box').on('click','.icon.delete',function(event){
        stopBubble(event);
        var eliment = $(this).parents('.sortable-dragging');
        layer.confirm('确认要删除模块吗？', {
            btn : [ '确定', '取消' ]
        }, function(index) {
            layer.close(index);
            $('.yw-an-rela').addClass('hides').removeClass('shows');
            eliment.remove();
            var relationId = eliment.attr('pageRelationId');
            if(relationId){
                deleteModular(relationId)
            }
        });
    });
    // 删除模块
    function deleteModular(id){
        var content ={
            _method:'DELETE',
            pageRelationId:id
        };
        $.ajax({
            url:'http://apptest.jieweizhineng.com/api/swagger/api/page/v1/removePagePermission/'+id,
            type:'post',
            data:content,
            dataType:'json',
            success:function (res) {
                console.log(res)
            },
            error:function () {

            }
        })
    }
    /**
     * 增加权限
     */
    $('.module_box').on('click','.icon.unfold',function(event){
        stopBubble(event);
        console.log(event,'event')
        if($('#pageFlag').val()!=''&&eval($('#pageFlag').val())) {
            var eliment = $(this).parents('.sortable-dragging');
            var relationId = eliment.attr('pageRelationId');
            if(relationId){
            layer.open({
                type: 2,
                id: 'addJuid',
                title: '增加权限',
                shadeClose: true,
                scrollbar: true,
                shade: 0.3,
                maxmin: true,
                skin: 'oaBtn',
                area: ['500px', '500px'],
                content: '../../pages/QRcode/Jurisdiction.html',

            });
            layer.full(index);

            }
        }else {
            layer.alert('请先编辑新增二维码!', {icon: 7});
        }
    });
});
// 删除二维码新建信息
function remove(obj){
    $(obj).parents(".yw-an-rela").hide();

}
// 文件大小
var unitArr = new Array("Bytes","KB","MB","GB","TB","PB","EB","ZB","YB"); //文件大小的单位
function renderSize(value){
    if(null==value||value==''){
        return "0 Bytes";
    }
    var index=0;
    var srcsize = parseFloat(value);
    index=Math.floor(Math.log(srcsize)/Math.log(1024));
    var size =srcsize/Math.pow(1024,index);
    size=size.toFixed(2);//保留的小数位数
    return size+unitArr[index];
}
// 选择记录模版信息
function depMaintainFun(tbodys) {
    layer.open({
        type: 2,
        id: 'depMaintain',
        title:'选择记录模板信息',
        shadeClose: true,
        scrollbar:true,
        shade: 0.3,
        maxmin: true,
        skin: 'oaBtn',
        btn: ['确认', '取消'],
        area: ['500px', '450px'],
        content: '../../pages/QRcode/depMaintain.html',
        success: function (layero, index) {
            var body = layer.getChildFrame('body', 8);
        },
        yes: function (index, layero) {
            var body = layer.getChildFrame('body', index);
            var templateValue = body.find('#depName').val();
            var depsName = body.find(".depsName").val();
            if (depsName != "") {
                var depsID = body.find(".depsName").attr("id-data");
                var sonid = body.find('#depName').attr("sonNode-id");
                var parentId = body.find('#depName').attr("parentID");
                var str = `
                 <tr class="text-c" son-id="${sonid}" parent-id="${parentId}">
                    <td class="depsName" dep-id="${depsID}">${depsName}</td>
                    <td>
                        <span class="cursor_p">${templateValue}</span>
                    </td>
                    <td>
                        <i class="fa fa-trash-o cursor_p"></i>
                    </td>
                 </tr>`;
                tbodys.append(str);
                layer.close(index);
            }else {
                layer.msg('模版名称不能为空');
            }
        }
    })
}
// 维护部门
function delFun() {
    layer.open({
        type: 2,
        id: 'chooseRecord',
        title:'选择记录模板信息',
        shadeClose: true,
        scrollbar:true,
        shade: 0.3,
        maxmin: true,
        skin: 'oaBtn',
        btn: ['确认', '取消'],
        area: ['500px', '500px'],
        content: 'chooseRecord.html',
        success: function (layero, index) {
            var body = layer.getChildFrame('body', index);
        },
        yes: function (index, layero) {
            var body1 = layer.getChildFrame('body', 0);
            var body = layer.getChildFrame('body', index);
            var value = body.find('.deptext').html();
            var sonNodeID = body.find(".deptext").attr("sonNode-id");
            var parentID = body.find(".deptext").attr("parentID");
            body1.find('#depName').val(value);
            body1.find('#depName').attr("sonNode-id",sonNodeID);
            body1.find('#depName').attr("parentID",parentID);
            layer.close(index);
        }
    })
}
// 选择用户组
function userGroup() {
    layer.open({
        type: 2,
        id: 'chooseRecord',
        title:'选择用户组',
        shadeClose: true,
        scrollbar:true,
        shade: 0.3,
        maxmin: true,
        skin: 'oaBtn',
        btn: ['确认', '取消'],
        area: ['500px', '500px'],
        content: 'chooseRecord.html',
        success: function (layero, index) {
            var body = layer.getChildFrame('body', index);
        },
        yes: function (index, layero) {
            var body1 = layer.getChildFrame('body', 0);
            var body = layer.getChildFrame('body', index);
            var value = body.find('.deptext').html();
            var sonNodeID = body.find(".deptext").attr("sonNode-id");
            var parentID = body.find(".deptext").attr("parentID");
            body1.find('.textarea').val(value);
            body1.find('.textareaID').html(sonNodeID);
            body1.find('.textarea').attr("parentID",parentID);
            layer.close(index);
        }
    })
}
// 内容联动
var dataID,sortable,sortableID;
function onFocus() {
    console.log('ress')
     dataID = $('#dataId').val(),
     sortable = $('.sortable-dragging');
     console.log(dataID,'sortable')
     sortable.each(function () {
        $(this).attr('dataId');
        if ($(this).attr('dataId') === dataID) {
            sortableID = $(this).attr('dataId')
        }
    });
}
// 二维码名称
function QRcodeName(text) {
    $('.edit_head_title').html(text);
    $('#pageFlag').attr('value','true');
}
// 纯文本title，图文title
function pureTextTitle(title) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title)
    }else {
        return false;
    }
}
function pureTextTitleName(content) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(content)
    }else {
        return false;
    }
}
// 图文
function uploadImage(img) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').attr('src',img);
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').css({width:'318px',height:'100px'});
    }else {
        return false;
    }
}
function deleteImage() {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').attr('src','');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.image1').css({width:'0',height:'0'});
    }else {
        return false;
    }
}
function textInfo(content) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.preview_content').html(content)
    }else {
        return false;
    }
}
// 图集
var cur=0;var timer = null;
function lunbo(){
    console.log('jijlai ')
    var mySwiper = new Swiper('.swiper-container',{
        autoplay: {
            delay: 2500,
            disableOnInteraction: false,
        },
    });
}
function uploadImageAtlas(img,num) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.banner_img').find('.swiper-wrapper').append(`<div index-data="${num}" class="swiper-slide"><img src="${img}" alt=""></div>`);
        lunbo()
    }else {
        return false;
    }
}
// 删除
function deleteImageAtlas(index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.message_preview').find('.banner_img .swiper-wrapper').find(".swiper-slide[index-data="+index+"]").remove();
        lunbo()
    }else {
        return false;
    }
}
 // 文件

function uploadFile(file,num) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.fileItem').append(`<li class="li_list empty" index-data="${num}"><p class="list_name" style="font-weight: 300">${file}</p></li>`);
    }else {
        return false;
    }
}
// 删除
function deleteFile(index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.message_preview').find('.fileItem').find("li[index-data="+index+"]").remove();
        lunbo()
    }else {
        return false;
    }
}
// 链接
function addlink(num) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.links').append(
        `<li class="li_list" index-data="${num}">
            <p class="list_name preview-p" style="font-weight: normal"></p>
            <span class="field_type preview-p link_url"></span>
        </li>`);
    }else {
        return false;
    }
}
// 链接和内容回显
function linkFun(link,index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".links > .li_list[index-data ="+index+"] .list_name").html(link);
    }else {
        return false;
    }
}
function titleFun(title,index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".links > .li_list[index-data ="+index+"] .link_url").html(title);
    }else {
        return false;
    }
}
// 删除
function deletaLink(index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".links > .li_list[index-data ="+index+"]").remove();
    }else {
        return false;
    }
}
// 视频
function addVideo(url) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.videoItem video>source').attr("src",url);
    }else {
        return false;
    }
}
// 设备铭牌
function addDevice(num) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.deviceItem').append(
            `<li class="li_list" index-data="${num}">
            <p class="list_name preview-p" style="font-weight: normal"></p>
            <span class="field_type preview-p link_url"></span>
        </li>`);
    }else {
        return false;
    }
}
function deviceNameFun(text,index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".deviceItem > .li_list[index-data ="+index+"] .list_name").html(text);
    }else {
        return false;
    }
}
function deviceContentFun(text,index) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".deviceItem > .li_list[index-data ="+index+"] .link_url").html(text);
    }else {
        return false;
    }
}
// 删除
function deleteDevice(index) {
    console.log(sortableID,dataID,'dataIDdataIDdataID',index);
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find(".deviceItem > .li_list[index-data ="+index+"]").remove();
    }else {
        return false;
    }
}
// 记录模版
function addrecord(title) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").find('.empty_block').removeClass('block_b');
        $("[dataId*="+dataID+"]").find('.empty_block').addClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').removeClass('hides');
        $("[dataId*="+dataID+"]").find('.message_preview').find('.aum-p').html(title)
    }else {
        return false;
    }
}
// 给二维码模块添加模块id
function pageRelationIdFun(id) {
    if (sortableID === dataID){
        $("[dataId*="+dataID+"]").attr("pageRelationId",id)
    }else {
        return false;
    }
}
// 更新二维码索引下标
function QRcodeindex(array) {
    $.ajax({
        url: "http://apptest.jieweizhineng.com/api/swagger/api/page/v1/updateIndex",
        type:'post',
        contentType:'application/json;charset=utf-8',
        data:JSON.stringify(array),
        dataType: "json",
        success:function (res) {
            console.log(res,'xiabiao')
        },
        error:function () {

        }
    })
}
// 点击保存更新二维码下标
function QRcodeIndexas() {
    var array = [],num = 0;
    $("#module_box .sortable-dragging").each(function(i,p){
        var relationId = $(this).attr('pageRelationId');
        if(relationId){
            var zIndex = num ++ +1;
            var html ={pageRelationId:relationId, zIndex:zIndex};
            array.push(html);
        }
    });
    if(array.length != 0 ){
        $.ajax({
            url: "http://apptest.jieweizhineng.com/api/swagger/api/page/v1/updateIndex",
            type:'post',
            contentType:'application/json;charset=utf-8',
            data:JSON.stringify(array),
            dataType: "json",
            success:function (res) {
                console.log(res)
            },
            error:function () {

            }
        })
    }
}
// 刷新tabel
function Refresh() {
    console.log('Refresh')
    table.reload('idQRcode')
}